### Method

# Xdp Portal session_monitor_start

#### Declaration [src]

    void
    xdp_portal_session_monitor_start (
      XdpPortal* portal,
      XdpParent* parent,
      XdpSessionMonitorFlags flags,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer data
    )

#### Description [src]

Makes `XdpPortal` start monitoring the login session state.

When the state changes, the `XdpPortal::session-state-changed` signal is emitted.

Use `xdp_portal_session_monitor_stop()` to stop monitoring.

This method completes asynchronously. Use `xdp_portal_session_monitor_start_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`parent`

  Type: `XdpParent`

  A XdpParent, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`flags`

  Type: `XdpSessionMonitorFlags`

  Options for this call.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  A callback to call when the request is done.

  The argument can be `NULL`.

`data`

  Type: `gpointer`

  Data to pass to `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.